Bug 29263 - Return to Additional Contents listview after editing such an item
Summary: Return to Additional Contents listview after editing such an item
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 24387
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-18 10:14 UTC by Marcel de Rooy
Modified: 2021-10-22 15:13 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29263: (bug 24387 follow-up) Fix 'Cancel' link when editing a html custom (1.78 KB, patch)
2021-10-18 12:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29263: (bug 24387 follow-up) Fix 'Cancel' link when editing a html custom (1.88 KB, patch)
2021-10-18 13:08 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29263: (bug 24387 follow-up) Fix 'Cancel' link when editing a html custom (1.90 KB, patch)
2021-10-18 21:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2021-10-18 10:14:04 UTC
From bug 24223

> Going back from an additional contents item, I should be returning to
> additional contents, not news.

Indeed, an that's an easy to fix.

Please report on a separate bug report and link it with bug 24387.
Comment 1 Jonathan Druart 2021-10-18 12:54:50 UTC
Created attachment 126434 [details] [review]
Bug 29263: (bug 24387 follow-up) Fix 'Cancel' link when editing a html custom

When editing content that is a html customization, the 'cancel' link
should redirect to the html custom list, not the 'news' list.

Test plan:
Create or edit a html customization, click the 'Cancel' link
=> You should be redirected to the html custom list
Comment 2 Marcel de Rooy 2021-10-18 13:08:38 UTC
Created attachment 126435 [details] [review]
Bug 29263: (bug 24387 follow-up) Fix 'Cancel' link when editing a html custom

When editing content that is a html customization, the 'cancel' link
should redirect to the html custom list, not the 'news' list.

Test plan:
Create or edit a html customization, click the 'Cancel' link
=> You should be redirected to the html custom list

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Katrin Fischer 2021-10-18 21:14:22 UTC
Created attachment 126461 [details] [review]
Bug 29263: (bug 24387 follow-up) Fix 'Cancel' link when editing a html custom

When editing content that is a html customization, the 'cancel' link
should redirect to the html custom list, not the 'news' list.

Test plan:
Create or edit a html customization, click the 'Cancel' link
=> You should be redirected to the html custom list

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-10-19 07:45:20 UTC
Pushed to master for 21.11, thanks to everybody involved!